Skip to main content
`Ctrl`+`K`

# TSComputeRHSJacobianP

Runs the user-defined JacobianP function.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSComputeRHSJacobianP(TS ts, PetscReal t, Vec U, Mat Amat)

Collective

## Input Parameters

- ts - The `TS` context obtained from `TSCreate()`

- t - the time

- U - the solution at which to compute the Jacobian

## Output Parameter

- Amat - the computed Jacobian

## See Also

TS: Scalable ODE and DAE Solvers, `TSSetRHSJacobianP()`, `TS`

## Level

developer

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages